Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dlatrz

    java.lang.Object
      org.netlib.lapack.Dlatrz

    public class Dlatrz

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLATRZ factors the M-by-(M+L) real upper trapezoidal matrix
     *  [ A1 A2 ] = [ A(1:M,1:M) A(1:M,N-L+1:N) ] as ( R  0 ) * Z, by means
     *  of orthogonal transformations.  Z is an (M+L)-by-(M+L) orthogonal
     *  matrix and, R and A1 are M-by-M upper triangular matrices.
     *
     *  Arguments
     *  =========
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A.  M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrix A.  N >= 0.
     *
     *  L       (input) INTEGER
     *          The number of columns of the matrix A containing the
     *          meaningful part of the Householder vectors. N-M >= L >= 0.
     *
     *  A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
     *          On entry, the leading M-by-N upper trapezoidal part of the
     *          array A must contain the matrix to be factorized.
     *          On exit, the leading M-by-M upper triangular part of A
     *          contains the upper triangular matrix R, and elements N-L+1 to
     *          N of the first M rows of A, with the array TAU, represent the
     *          orthogonal matrix Z as a product of M elementary reflectors.

     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(1,M).
     *
     *  TAU     (output) DOUBLE PRECISION array, dimension (M)
     *          The scalar factors of the elementary reflectors.
     *
     *  WORK    (workspace) DOUBLE PRECISION array, dimension (M)
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *    A. Petitet, Computer Science Dept., Univ. of Tenn., Knoxville, USA

     *
     *  The factorization is obtained by Householder's method.  The kth
     *  transformation matrix, Z( k ), which is used to introduce zeros into

     *  the ( m - k + 1 )th row of A, is given in the form
     *
     *     Z( k ) = ( I     0   ),
     *              ( 0  T( k ) )
     *
     *  where
     *
     *     T( k ) = I - tau*u( k )*u( k )',   u( k ) = (   1    ),
     *                                                 (   0    )
     *                                                 ( z( k ) )
     *
     *  tau is a scalar and z( k ) is an l element vector. tau and z( k )
     *  are chosen to annihilate the elements of the kth row of A2.
     *
     *  The scalar tau is returned in the kth element of TAU and the vector
     *  u( k ) in the kth row of A2, such that the elements of z( k ) are
     *  in  a( k, l + 1 ), ..., a( k, n ). The elements of R are returned in

     *  the upper triangular part of A1.
     *
     *  Z is given by
     *
     *     Z =  Z( 1 ) * Z( 2 ) * ... * Z( m ).
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Dlatrz()`

Method Summary
`static void` | `dlatrz(int m, int n, int l, double[] a, int _a_offset, int lda, double[] tau, int _tau_offset, double[] work, int _work_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dlatrz

    public Dlatrz()

Method Detail

### dlatrz

    public static void dlatrz(int m,
                              int n,
                              int l,
                              double[] a,
                              int _a_offset,
                              int lda,
                              double[] tau,
                              int _tau_offset,
                              double[] work,
                              int _work_offset)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD